=== data/CMakeLists.txt ===
add_subdirectory(color-schemes)
add_subdirectory(pics)
add_subdirectory(pics/gsl_distributions)
add_subdirectory(pics/fit_models)
add_subdirectory(pics/colorchooser)
add_subdirectory(themes)
add_subdirectory(datasets)
add_subdirectory(example_projects)
