=== data/color-schemes/CMakeLists.txt ===
IF (WIN32)
	install(DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR} DESTINATION ${DATA_INSTALL_DIR} PATTERN "CMakeLists.txt" EXCLUDE)
ELSE()
	install(DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR} DESTINATION ${DATA_INSTALL_DIR}/${PROJECT_NAME} PATTERN "CMakeLists.txt" EXCLUDE)
ENDIF ()
