=== tests/backend/CMakeLists.txt ===
add_subdirectory(parser)
