=== debian/changelog ===
labplot (2.8.1-2) unstable; urgency=medium

  * Team upload.
  * Add libcantor-dev (and necessary libpoppler-qt5-dev) to B-D.

 -- Norbert Preining <norbert@preining.info>  Mon, 18 Jan 2021 10:45:17 +0900

labplot (2.8.1-1) unstable; urgency=medium

  * New upstream release.
  * Set upstream metadata fields: Repository-Browse.
  * Switch the watch file to version 4, no changes required.
  * Pass -DENABLE_REPRODUCIBLE=ON to cmake to improve reproducibility.
  * Add the kuserfeedback-dev build dependency to enable the feedback from
    users, as KUserFeedback is now available in Debian.

 -- Pino Toscano <pino@debian.org>  Thu, 12 Nov 2020 11:51:35 +0100
