=== data/datasets/CMakeLists.txt ===
install(DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR} DESTINATION ${DATA_INSTALL_DIR}/${PROJECT_NAME} PATTERN "CMakeLists.txt" EXCLUDE)
