=== tests/nsl/CMakeLists.txt ===
add_subdirectory(dft)
add_subdirectory(diff)
add_subdirectory(filter)
add_subdirectory(fit)
add_subdirectory(geom)
add_subdirectory(int)
add_subdirectory(sf)
add_subdirectory(smooth)
add_subdirectory(stats)
