=== debian/changelog ===
labplot (2.8.2-2build1) jammy; urgency=medium

  * No-change rebuild against libgsl27

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 07 Dec 2021 17:34:48 +0000

labplot (2.8.2-2) unstable; urgency=medium

  [ Helmut Grohne ]
  * Fix FTBFS with nocheck build profile. (Closes: #992580)

  [ Pino Toscano ]
  * Bump Standards-Version to 4.6.0, no changes required.
  * Mark the xauth, and xvfb build dependencies as nocheck, as they are needed
    only by dh_auto_test.
  * Small changes to copyright.
  * Use the ${misc:Pre-Depends} substvar in labplot.
  * Add the test-only locales-all build dependency, as it is needed to make
    parsertest work as intended.
  * Since cantor now requires QtWebEngine, and thus it can be built only on few
    architectures, limit the libcantor-dev to the same set of architectures:
    amd64 arm64 armhf i386 mips64el mipsel.

 -- Pino Toscano <pino@debian.org>  Sat, 02 Oct 2021 15:37:50 +0200

labplot (2.8.2-1) unstable; urgency=medium

  * New upstream release:
    - properly resets the error count in the parser (Closes: #974566)
  * Bump Standards-Version to 4.5.1, no changes required.
  * Remove the explicit as-needed linking, as it is done by binutils now.
  * Disable fixfilepath reproducibility feature, as it triggers build failures
    when enabled.

 -- Pino Toscano <pino@debian.org>  Mon, 16 Aug 2021 08:45:08 +0200
