=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: labplot
 Section: math
 Priority: optional
-Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
 Uploaders: Pino Toscano <pino@debian.org>
 Build-Depends: debhelper-compat (= 13),
  cmake (>= 3.2.0),
@@ -31,9 +32,9 @@
  libkf5xmlgui-dev (>= 5.16.0),
  kuserfeedback-dev,
  bison,
- libcantor-dev,
+ libcantor-dev [amd64 arm64 armhf i386 mips64el mipsel],
  libpoppler-qt5-dev (>= 19.12~),
- libspectre-dev <!nocheck>,
+ libspectre-dev,
  libcfitsio-dev,
  libgsl-dev,
  libnetcdf-dev,
@@ -42,9 +43,10 @@
  libcerf-dev,
  zlib1g-dev,
  liblz4-dev,
- xauth,
- xvfb,
-Standards-Version: 4.5.0
+ xauth <!nocheck>,
+ xvfb <!nocheck>,
+ locales-all <!nocheck>,
+Standards-Version: 4.6.0
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/extras/labplot
 Vcs-Git: https://salsa.debian.org/qt-kde-team/extras/labplot.git
@@ -52,6 +54,7 @@
 
 Package: labplot
 Architecture: any
+Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends}, ${misc:Depends},
  labplot-data (= ${source:Version}),
 Description: interactive graphing and analysis of scientific data
