=== debian/watch ===
version=4
https://download.kde.org/stable/labplot/([\d.]+)/labplot-([\d.]+)\.tar\.xz
